# Delete a client

> `DELETE https://api.playground.kustom.co/elements/v1/clients/{clientId}`

Removes an API client owned by the merchant from the system.

## Parameters

- `clientId` (string, path, required) — Client identifier
- `x-merchant-id` (string, header, required) — Merchant identifier used to scope the client

## Responses

### 200

OK

### 400

Bad Request

`*/*`

- `message` (string)
- `additional_context` (object)
  - `key` (string) — Any additional property. The key is free-form; the value has this shape.
- `code` (string) Enum: `CLIENT_NOT_FOUND`, `ORIGIN_NOT_ALLOWED`, `HTTP_CLIENT_ERROR`, `HTTP_SERVER_ERROR`, `DOMAIN_NOT_WHITELISTED`, `PLACEMENT_CONFIG_MISSING`, `ARGUMENT_NOT_VALID`, `CONSTRAINT_VIOLATION`, `PROFILE_DOESNT_BELONG_TO_MERCHANT`, `MERCHANT_NOT_FOUND`.

```json
{
  "message": "<string>",
  "additional_context": {
    "key": "<string>"
  },
  "code": "CLIENT_NOT_FOUND"
}
```

### 401

Unauthorized

`*/*`

- `message` (string)
- `additional_context` (object)
  - `key` (string) — Any additional property. The key is free-form; the value has this shape.
- `code` (string) Enum: `CLIENT_NOT_FOUND`, `ORIGIN_NOT_ALLOWED`, `HTTP_CLIENT_ERROR`, `HTTP_SERVER_ERROR`, `DOMAIN_NOT_WHITELISTED`, `PLACEMENT_CONFIG_MISSING`, `ARGUMENT_NOT_VALID`, `CONSTRAINT_VIOLATION`, `PROFILE_DOESNT_BELONG_TO_MERCHANT`, `MERCHANT_NOT_FOUND`.

```json
{
  "message": "<string>",
  "additional_context": {
    "key": "<string>"
  },
  "code": "CLIENT_NOT_FOUND"
}
```

### 502

Bad Gateway

`*/*`

- `message` (string)
- `additional_context` (object)
  - `key` (string) — Any additional property. The key is free-form; the value has this shape.
- `code` (string) Enum: `CLIENT_NOT_FOUND`, `ORIGIN_NOT_ALLOWED`, `HTTP_CLIENT_ERROR`, `HTTP_SERVER_ERROR`, `DOMAIN_NOT_WHITELISTED`, `PLACEMENT_CONFIG_MISSING`, `ARGUMENT_NOT_VALID`, `CONSTRAINT_VIOLATION`, `PROFILE_DOESNT_BELONG_TO_MERCHANT`, `MERCHANT_NOT_FOUND`.

```json
{
  "message": "<string>",
  "additional_context": {
    "key": "<string>"
  },
  "code": "CLIENT_NOT_FOUND"
}
```
